body {
    background-color: #0b0b1a;
    color: aliceblue;
    font-family: Arial, Helvetica, sans-serif;
    overflow: hidden;
}

.areageral {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.areadelogin {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #101029;
    padding: 5rem;
    border-radius: 30px;
}

.areadelogin img {
    width: 25%;
    margin-bottom: 20px;
    transition: 400ms;
    -webkit-user-drag: none;
}

form {
    display: flex;
    flex-direction: column;
}

input {
    border-radius: 100px;
    border: none;
    margin-top: 10px;
    width: 300px;
    height: 50px;
    padding-left: 10px;
    padding-right: 10px;
    background-color: #232341;
    font-family: monospace;
    color: #9191c0;
    transition: 25ms;
    outline: none;
    text-shadow: #9191c0 2px 2px 5px;
}

input:hover {
    outline-style: solid;
    outline-width: 1px;
    outline-color: aliceblue;
    transition: 25ms;
}

input:focus {
    outline-style: solid;
    outline-width: 1px;
    outline-color: #9191c0;
    transition: 25ms;
}

input::placeholder {
    color: #5f5f8a;
    font-weight: bold;
    width: 50%;
    height: 50px;
    text-shadow: #5f5f8a 2px 2px 5px;
}

input::selection {
    text-shadow: #101029 1px 1px 5px;
    color: #454575;
    background-color: #9191c0;
}

button {
    border-radius: 10px;
    border: none;
    margin-top: 10px;
    background-color: #454575;
    padding: 10%;
    font-size: x-large;
    font-weight: bold;
    color: #cbcbf1;
    cursor: pointer;
    box-shadow: #000000d3 8px 8px 15px;
}

button:hover {
    outline-style: solid;
    outline-width: 2px;
    outline-color: #9191c0;
}

a {
    color: rgb(153, 206, 255);
}
